Deployment Error - The platform "linux" is incompatible with this module

Hello
Having a problem with my deployment I can’t figure it out where these errors are coming from, any help appreciated.

9:11:40 AM: error fsevents@2.1.2: The platform "linux" is incompatible with this module.

9:11:40 AM: error Found incompatible module
9:11:40 AM: info Visit https://yarnpkg.com/en/docs/cli/install for documentation about this command.
9:11:40 AM: Error during Yarn install
9:11:40 AM: Error running command: Build script returned non-zero exit code: 1
9:11:40 AM: Failing build: Failed to build site
9:11:40 AM: failed during stage ‘building site’: Build script returned non-zero exit code: 1
9:11:40 AM: Finished processing build request in 29.00347663s

*Netlify instance name: hungry-perlman-b6ea44

hi there,

we have the same bug (although looks like its happening under different circumstances)

can you try the solution mentioned here and see if this works?

Hi Perry, Thanks for quick response.
Using Netlify here with all the cool stuff for the first time.
Question? Can I do this in the netlify.toml file?

So it might be…

[build]
    base = "web/"
    command = "yarn build"
    publish = "web/public"
    YARN_VERSION = "1.3.2"

Thanks again.

Actually Perry done that, still failing.

12:23:58 PM: Installing NPM modules using Yarn version 1.3.2

12:23:58 PM: yarn install v1.3.2

12:23:58 PM: (node:1229) [DEP0005] DeprecationWarning: Buffer() is deprecated due to security and usability issues. Please use the Buffer.alloc(), Buffer.allocUnsafe(), or Buffer.from() methods instead.

12:23:59 PM: [1/4] Resolving packages...

12:23:59 PM: [2/4] Fetching packages...

12:24:15 PM: error fsevents@2.1.2: The platform "linux" is incompatible with this module.

12:24:16 PM: error Found incompatible module

12:24:16 PM: info Visit https://yarnpkg.com/en/docs/cli/install for documentation about this command.

12:24:16 PM: Error during Yarn install

12:24:16 PM: Error running command: Build script returned non-zero exit code: 1

12:24:16 PM: failed during stage 'building site': Build script returned non-zero exit code: 1

12:24:16 PM: Failing build: Failed to build site

12:24:16 PM: Finished processing build request in 26.198676228s

Any other thoughts?
Thanks.

Hey @carlos.claro, I believe you’ll want to add that environment variable here instead of in the netlify.toml:
https://app.netlify.com/sites/YOUR-SITE/settings/deploys#environment-variables

Want to give it a shot and let us know how it goes?

Hi @jen, thanks for checking.
All good now I had some other dependencies from some of my gatsby plugins causing the issue.